import java.util.Scanner;

public class Bojenje {

    public static void main(String[] args) {
       
         Scanner sc=new Scanner (System.in);
        int n,m,a, pom=0, pom2=0, p,z=0, pom3=0;
       
        n=sc.nextInt();
        m=sc.nextInt();
        int[][] mat=new int[n][m];
        for(int i=0; i<n; i++){
            a=sc.nextInt();
            if(a==m) pom=pom+1;
            else {
                for(int j=0; j<a; j++){
                    mat[i][j]=1;
                    pom2++;
            }
        }}
        
        for(int j=0;j<m; j++){
           for(int i=0; i<n; i++){
             if(mat[i][j]==1) pom3++;
                    
                }
            if(pom2>(n*m/2)){
                    if(pom>0){
                        pom3++;
                        pom--;
                    }
                }
                p=pom3*(n-pom3);
                z=z+p;
            } 
        
        System.out.println(z);
    }
    
}